import "./tasks/fastqc.wdl" as fastqc
import "./tasks/fastqscreen.wdl" as fastqscreen

workflow  {{ project_name }}  {

	File read1
	File read2

	String FASTQCdocker
	String FASTQSCREENdocker

	String fasta
	File ref_dir
	File screen_ref_dir
	File fastq_screen_conf

	String sample_name
	String disk_size
	String BIGcluster_config


		call fastqc.fastqc as fastqc {
			input:
			read1=read1,
			read2=read2,
			docker=FASTQCdocker,
			cluster_config=BIGcluster_config,
			disk_size=disk_size
		}

		call fastqscreen.fastq_screen as fastqscreen {
			input:
			read1=read1,
			read2=read2,
			screen_ref_dir=screen_ref_dir,
			fastq_screen_conf=fastq_screen_conf,
			docker=FASTQSCREENdocker,
			cluster_config=BIGcluster_config,
			disk_size=disk_size
		}

		
}

